> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chataigne.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Récupérer un établissement



## OpenAPI

````yaml /fr/api-reference/getting-started-v1.json get /v1/locations/{location_id}
openapi: 3.0.0
info:
  title: API Chataigne des organisations et établissements
  description: Découvrez l’organisation et les établissements accessibles à votre clé API.
  version: '2026-05-01'
  contact: {}
servers:
  - url: https://server.chataigne.ai
security: []
tags: []
paths:
  /v1/locations/{location_id}:
    get:
      tags:
        - Établissements
      summary: Récupérer un établissement
      operationId: LocationsV1Controller_retrieve
      parameters:
        - name: location_id
          in: path
          required: true
          schema:
            type: string
          example: loc_023d6847de544fdb9a5510db
      responses:
        '200':
          description: Établissement.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Location'
        '401':
          description: Authentification requise.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: >-
            L’identité à l’origine de la requête n’est pas autorisée à effectuer
            cette opération.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: La ressource n’existe pas.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - organization-api-key: []
components:
  schemas:
    Location:
      type: object
      properties:
        id:
          type: string
          example: loc_023d6847de544fdb9a5510db
        object:
          type: string
          enum:
            - location
        organization_id:
          type: string
          nullable: true
        name:
          type: string
          example: Pokawa Châtelet
        currency:
          type: string
          example: EUR
        country:
          type: string
          example: FR
        timezone:
          type: string
          example: Europe/Paris
        default_language:
          type: string
          example: fr
        address:
          $ref: '#/components/schemas/Address'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    Error:
      type: object
      properties:
        error:
          type: object
          required:
            - type
            - code
            - message
            - request_id
          properties:
            type:
              type: string
              enum:
                - invalid_request_error
                - authentication_error
                - authorization_error
                - not_found_error
                - conflict_error
                - rate_limit_error
                - idempotency_error
                - api_error
            code:
              type: string
              example: resource_missing
            message:
              type: string
            param:
              type: string
            request_id:
              type: string
              example: req_8f2c…
            details:
              type: object
              additionalProperties: true
    Address:
      type: object
      nullable: true
      properties:
        line1:
          type: string
          nullable: true
        line2:
          type: string
          nullable: true
        postal_code:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        latitude:
          type: number
          nullable: true
        longitude:
          type: number
          nullable: true
  securitySchemes:
    organization-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: Clé API d’établissement ou d’organisation.

````